#ifndef	__BAM_DRIVER_h__
#define	__BAM_DRIVER_h__
//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2009   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : BAM_Driver.h
// Applied Body          : GPL951
// Programmer            : 
// Description           : BAM driver header file
// History version       : 
// Rev #      Date         Who			Comments
// -----	 -----------   ---------	--------------------------------------------
// 1.0	      							Oringinal Version
//==================================================================================

//==========================================
// Include file area
//==========================================

//==========================================
// Constant define area
//==========================================
#define BAM0 0x0100
#define BAM1 0x0200
#define BAM2 0x0400
#define BAM3 0x0800
#define BAM4 0x1000
#define BAM5 0x2000
//==========================================
// External declare area
//==========================================

//************************************************************//
//function : BAM_Initial
//Description : Initial BAM
//Parameter : none
//Return : none
//************************************************************//
extern void BAM_Initial(void);


//************************************************************//
//function : BAM_Data_Setting
//Description : Set BAM data
//Parameter : Data : BAM select(High Byte), bit8~13 : BAM0~5 
//					 BAM data(Low Byte)
//Return : none
//************************************************************//
extern void BAM_Data_Setting(unsigned int Data);


//************************************************************//
//function : BAM_Start
//Description : Start BAM transmission
//Parameter : BAM_Ch : BAM select(High Byte), bit8~13 : BAM0~5
//Return : none
//************************************************************//
extern void BAM_Start(unsigned int BAM_Ch);


//************************************************************//
//function : BAM_End
//Description : Start BAM transmission
//Parameter : BAM_Ch : BAM select(High Byte), bit8~13 : BAM0~5
//Return : none
//************************************************************//
extern void BAM_Stop(unsigned int BAM_Ch);



#endif
