//==================================================================================
// The information contained herein is the exclusive property of
// Generalplus Technology Co. And shall not be distributed, reproduced,
// or disclosed in whole in part without prior written permission.
//       (C) COPYRIGHT 2009   Generalplus TECHNOLOGY CO.                            
//                   ALL RIGHTS RESERVED
// The entire notice above must be reproduced on all authorized copies.
//==================================================================================
//==================================================================================
// Name                  : BAM_Driver.inc
// Applied Body          : GPL951
// Programmer            : 
// Description           : BAM driver header file
// History version       : 
// Rev #      Date         Who			Comments
// -----	 -----------   ---------	--------------------------------------------
// 1.0	      							Oringinal Version
//==================================================================================

//==========================================
// Include file area
//==========================================

//==========================================
// Constant define area
//==========================================
BAM0 .EQU 0x0100
BAM1 .EQU 0x0200
BAM2 .EQU 0x0400
BAM3 .EQU 0x0800
BAM4 .EQU 0x1000
BAM5 .EQU 0x2000
//==========================================
// External declare area
//==========================================

//************************************************************//
//function : F_BAM_Initial
//Description : Initial BAM
//Parameter : none
//Return : none
//Destory : r1
//************************************************************//
.external F_BAM_Initial;


//************************************************************//
//function : F_BAM_Data_Setting
//Description : Set BAM data
//Parameter : r1 : BAM select(High Byte), bit8~13 : BAM0~5
//                 BAM data(Low Byte)
//Return : none
//Destory : r1,r2
//************************************************************//
.external F_BAM_Data_Setting;


//************************************************************//
//function : F_BAM_Start
//Description : Start BAM transmission
//Parameter : r1 : BAM select(High Byte), bit8~13 : BAM0~5
//Return : none
//Destory : r1, r2
//************************************************************//
.external F_BAM_Start;


//************************************************************//
//function : F_BAM_Stop
//Description : End BAM transmission
//Parameter : r1 : BAM select(High Byte), bit8~13 : BAM0~5
//Return : none
//Destory : r1, r2
//************************************************************//
.external F_BAM_Stop;
